#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>


@class ImageBrowserController;
@class ImageBrowser;
@class ImageView;
@class DirectoryBrowser;


@interface AppWindowController : NSWindowController < NSApplicationDelegate >
{
	IBOutlet ImageBrowserController * mImageBrowserController;
	IBOutlet ImageBrowser * mImageBrowser;
	IBOutlet ImageView * mImageView;
	IBOutlet DirectoryBrowser * mDirectoryBrowser;
	
	NSMutableArray * mCutFiles;
	NSMutableArray * mCopiedFiles;
	NSMutableArray * mCutDirectory;
	NSMutableArray * mCopiedDirectory;

	NSWindow * mWindow;
}

@property (assign) IBOutlet NSWindow * window;

// application delegate
-(void)applicationWillFinishLaunching:(NSNotification *)notification;
-(void)applicationDidFinishLaunching:(NSNotification *)aNotification;
-(BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender;
-(void)applicationWillTerminate:(NSNotification *)aNotification;

// init / dealloc
-(void)awakeFromNib;
-(void)dealloc;

// menu actions
-(IBAction)showPreferencesWindow:(id)sender;
-(IBAction)deleteFiles:(id)sender;
-(IBAction)copyFiles:(id)sender;
-(IBAction)cutFiles:(id)sender;
-(IBAction)pasteFiles:(id)sender;

// utility
-(BOOL)isSomethingCutOrCopied;

@end
