#import "DirectoryBrowser.h"
#import "DirectoryBrowserItem.h"


@implementation DirectoryBrowser


-(void)selectChild:(NSString *)childName
{
	NSInteger selectedRow = [self selectedRow];
	DirectoryBrowserItem * item = [self itemAtRow:selectedRow];
	NSInteger childIndex = 1;
	for (DirectoryBrowserItem * child in [item children])
	{
		if ([[child name] isEqualToString:childName] == YES)
		{
			[self expandItem:item];
			[self selectRowIndexes:[NSIndexSet indexSetWithIndex:selectedRow + childIndex] byExtendingSelection:NO];
			break;
		}
		++childIndex;
	}
}

-(void)keyDown:(NSEvent *)theEvent
{
	NSString * characters = [theEvent characters];
	unichar event = [characters characterAtIndex:0];

	switch (event)
	{
		case NSRightArrowFunctionKey:
			if ([self isExpandable:[self itemAtRow:[self selectedRow]]] == NO)
				[mWindow makeFirstResponder:[self nextKeyView]];
			else
				[super keyDown:theEvent];
			break;

		default:
			[super keyDown:theEvent];
	}
	
}

@end
