#import <Cocoa/Cocoa.h>


@interface DirectoryBrowserItem : NSObject
{
	NSString *			mPath;			///< the complete path for this item
	NSMutableArray *	mChildren;		///< the list of children
	NSString *			mName;			///< the name (last path component)
	NSImage *			mImage;			///< the icon of the folder (set by DirectoryBrowserController when needed)
	int					mNumImages;		///< the number of images contained in this directory
}

@property (readonly)			NSString *	path;
@property (readonly)			NSString *	name;
@property (readwrite, retain)	NSImage *	image;
@property (readonly)			int			numImages;

-(id)initWithPath:(NSString *)path;
-(void)dealloc;

-(NSMutableArray *)children;

@end
