#import "Utility.h"


@implementation Utility


+(void)removeFileAtPath:(NSString *)path permanently:(BOOL)permanently
{
	if (permanently)
	{
		NSFileManager * fileManager = [NSFileManager defaultManager];
		[fileManager removeItemAtPath:path error:NULL];
	}
	else
	{
		NSInteger tag = 0;
		NSString * source = [path stringByDeletingLastPathComponent];
		NSArray * files = [NSArray arrayWithObject:[path lastPathComponent]];
		NSWorkspace * workspace = [NSWorkspace sharedWorkspace];
		[workspace performFileOperation:NSWorkspaceRecycleOperation source:source destination:nil files:files tag:&tag];
	}
}

+(BOOL)isImage:(NSString *)path
{
	NSString * extension = [[path pathExtension] lowercaseString];
	if ([extension isEqualToString:@"jpg"] == YES ||
		[extension isEqualToString:@"jpeg"] == YES ||
		[extension isEqualToString:@"gif"] == YES ||
		[extension isEqualToString:@"png"] == YES ||
		[extension isEqualToString:@"psd"] == YES ||
		[extension isEqualToString:@"tiff"] == YES ||
		[extension isEqualToString:@"tif"] == YES ||
		[extension isEqualToString:@"dng"] == YES ||
		[extension isEqualToString:@"cr2"] == YES ||
		[extension isEqualToString:@"raw"] == YES)
		return YES;
	return NO;
}

+(BOOL)isGIF:(NSString *)path
{
	NSString * extension = [[path pathExtension] lowercaseString];
	return [extension isEqualToString:@"gif"];
}

// Cleanly cancel, release and set to nil a given thread
+(void)cancelThread:(id *)thread
{
	if (*thread != nil)
	{
		[*thread cancel];
		
		// waits until the thread is finished before releasing it
		while ([*thread isFinished] == NO)
            sleep(50);

		[*thread release];
		*thread = nil;
	}
}

@end
